This is silly, but I always forget this:

attribute selector jquery
<tag id=x> #x $('#x')
<tag class=y> .y $('.y')
<tag> tag $('tag')

I also learned you can specify things like

// @require https://code.jquery.com/jquery-2.1.4.min.js

in a Tampermonkey script, even when a given site doesn't already have jquery.